Zum Hauptinhalt springen

Get your registered passkeys

GET/v2/users/self/passkeys
API-Version
v2
Request-Methode
GET
Operation-ID
user-list-passkeys

Request​

Keine Request-Parameter.

Responses​

Format
application/json
Beschreibung

The registered passkeys, oldest first.

  • Array[
    • *object
      • aaguidstringrequired

        The authenticator model identifier.

      • backupEligiblebooleanrequired

        Whether the authenticator can back up (sync) the passkey, as reported at registration.

      • backupStatebooleanrequired

        Whether the passkey was backed up (synced) at registration. Not updated afterwards.

      • createdAtstring (date-time)required
      • credentialIdstringrequired

        The base64url encoded WebAuthn credential id.

      • idstring (uuid)required
      • namestringrequired
      • rpIdstringrequired
    ]
Content-Type: application/json

[
{
"aaguid": "string",
"backupEligible": true,
"backupState": true,
"createdAt": "1985-10-26T01:21:00.000Z",
"credentialId": "string",
"id": "f0f86186-0a5a-45b2-aa33-502777496347",
"name": "string",
"rpId": "string"
}
]
{
"items": {
"properties": {
"aaguid": {
"description": "The authenticator model identifier.",
"type": "string"
},
"backupEligible": {
"description": "Whether the authenticator can back up (sync) the passkey, as reported at registration.",
"type": "boolean"
},
"backupState": {
"description": "Whether the passkey was backed up (synced) at registration. Not updated afterwards.",
"type": "boolean"
},
"createdAt": {
"format": "date-time",
"type": "string"
},
"credentialId": {
"description": "The base64url encoded WebAuthn credential id.",
"type": "string"
},
"id": {
"format": "uuid",
"type": "string"
},
"name": {
"type": "string"
},
"rpId": {
"type": "string"
}
},
"required": [
"id",
"credentialId",
"rpId",
"name",
"aaguid",
"backupEligible",
"backupState",
"createdAt"
],
"type": "object"
},
"type": "array"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/users/self/passkeys
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.user.listPasskeys({});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\User\ListPasskeys\ListPasskeysRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ListPasskeysRequest());
$response = $client->user()->listPasskeys($request);

var_dump($response->getBody();

Auf dieser Seite